namespace NFeLib.NFE.BaseNF.Informacoes.Detalhes.Tributacao
{
	/// <summary>
	/// TAG de grupo do Imposto de Importação
	/// Informar apenas quando o item for sujeito ao II
	/// </summary>
	public class II
	{
		/// <summary>
		/// Valor da BC do Imposto de Importação
		/// </summary>
		public string vBC { get; set; }

		/// <summary>
		/// Valor das despesas aduaneiras
		/// </summary>
        public decimal vDespAdu { get; set; }

		/// <summary>
		/// Valor do Imposto de Importação
		/// </summary>
        public decimal vII { get; set; }

		/// <summary>
		/// Valor do Imposto sobre Operações Financeiras
		/// </summary>
        public decimal vIOF { get; set; }
	}
}
