namespace NFeLib.NFE.BaseNF.Informacoes.Detalhes.Tributacao
{
	/// <summary>
	/// TAG de grupo do CST 01, 02, 03,04, 05, 51, 52, 53, 54 e 55
	/// </summary>
	public class IPINT
	{
		/// <summary>
		/// 01-Entrada tributada com alíquota zero
		/// 02-Entrada isenta
		/// 03-Entrada não-tributada
		/// 04-Entrada imune
		/// 05-Entrada com suspensão
		/// 51-Saída tributada com alíquota zero
		/// 52-Saída isenta
		/// 53-Saída não-tributada
		/// 54-Saída imune
		/// 55-Saída com suspensão
		/// </summary>
		public string CST { get; set; }
	}
}
