using NFeLib.NFE.Utils;
using System;
using System.Xml.Serialization;

namespace NFeLib.NFE.BaseNF.Informacoes.Detalhes
{
    /// <summary>
    /// Informar apenas quando se tratar de medicamentos, permite múltiplas ocorrências (ilimitado)
    /// </summary>
    public class med
    {

        private decimal _qLote;
        private decimal _vPmc;

        /// <summary>
        /// K01a - Código de Produto da ANVISA
        /// VERSÃO 4.00
        /// </summary>
        public string cProdANVISA { get; set; }
        public bool ShouldSerializecProdANVISA()
        {
            return !(string.IsNullOrEmpty(cProdANVISA));
        }


        public decimal vPMC
        {
            get { return _vPmc; }
            set { _vPmc = FunctionNFe.RoundDecimal(value, 2); }
        }



    }


}
