namespace NFeLib.NFE.BaseNF.Informacoes.Identificacao
{

	/// <summary>
	/// Grupo com as informações das NF/NF-e referenciadas
	/// Utilizar esta TAG para referenciar uma Nota Fiscal Eletrônica emitida
	/// anteriormente, vinculada a NF-e atual.
	/// Esta informação será utilizada nas hipóteses previstas na legislação.
	/// (Ex.: Devolução de Mercadorias, Substituição de NF cancelada, Complementação de NF, etc.).
	/// </summary>
	public class NFref
	{
		public string refNFe { get; set; }
		public refNF refNF { get; set; }
		//Public Property refNFP() As refNFP
		public refECF refECF { get; set; }
	}
}
