namespace NFeLib.NFE.BaseNF.Informacoes.Observacoes
{
	/// <summary>
	/// Tag de grupo do processo
	/// Campo de uso livre do Fisco
	/// Informar o nome do campo no atributo xCampo
	/// e o conteúdo do campo no xTexto
	/// </summary>
	public class procRef
	{
		/// <summary>
		/// Indentificador do processo ou ato concessório
		/// </summary>
		private string _nProc;
		public string nProc { get; set; }
     
		/// <summary>
		/// Origem do processo, informar com:
		/// 0 - SEFAZ;
		/// 1 - Justiça Federal;
		/// 2 - Justiça Estadual;
		/// 3 - Secex/RFB;
		/// 9 - Outros
		/// </summary>
		public string indProc  { get; set; }
      
	}
}
