﻿using NFeLib.NFE.Utils;

namespace NFeLib.NFE.BaseNF.Informacoes.PagCobranca
{
    public class detPag
    {
        private decimal _vPag;

        /// <summary>
        /// YA02 - Forma de pagamento
        /// Dinheiro = 01 
        /// Cheque = 02 
        /// Cartão de Crédito = 03 
        /// Cartão de Débito = 04 
        /// Crédito Loja = 05 
        /// Vale Alimentação = 10 
        /// Vale Refeição = 11 
        /// Vale Presente = 12 
        /// Vale Combustível = 13 
        /// Duplicata Mercantil = 14 
        /// Boleto Bancário = 15 
        /// Sem pagamento = 90
        /// Outros = 99 
        /// </summary>
        public string tPag { get; set; }

        public decimal vPag
        {
            get { return FunctionNFe.RoundDecimal(_vPag,2); }
            set { _vPag = FunctionNFe.RoundDecimal(value, 2); }
        }

        public card card { get; set; }


    }
}