namespace NFeLib.NFE.BaseNF.Informacoes.Totais
{
	/// <summary>
	/// TAG de grupo de Valores Totais referentes ao ISSQN
	/// </summary>
	public class ISSQNtot
	{
		/// <summary>
		/// Valor Total dos Serviços sob não incidência ou não tributados pelo ICMS
		/// </summary>
        public decimal vServ { get; set; }

		/// <summary>
		/// Base de Cálculo do ISS
		/// </summary>
        public decimal vBC { get; set; }

		/// <summary>
		/// Valor Total do ISS
		/// </summary>
        public decimal vISS { get; set; }

		/// <summary>
		/// Valor do PIS sobre serviços
		/// </summary>
        public decimal vPIS { get; set; }

		/// <summary>
		/// Valor do COFINS sobre serviços
		/// </summary>
        public decimal vCOFINS { get; set; }
	}
}
