using System.Xml.Serialization;
using NFeLib.NFE.BaseNF.AssinaturaDig;
using NFeLib.NFE.BaseNF.Informacoes;

namespace NFeLib.NFE.BaseNF
{
    [XmlRoot(Namespace = "http://www.portalfiscal.inf.br/nfe")]
    public class NFe
    {
        /// <summary>
        ///     A01 - Informaes da Nota Fiscal Eletrnica
        /// </summary>
        [XmlElement(Namespace = "http://www.portalfiscal.inf.br/nfe")]
        public infNFe infNFe { get; set; }

        /// <summary>
        /// ZX01 - Informaes suplementares da Nota Fiscal
        /// </summary>
        [XmlElement(Namespace = "http://www.portalfiscal.inf.br/nfe")]
        public infNFeSupl infNFeSupl { get; set; }

        /// <summary>
        ///     XS01
        /// </summary>
        [XmlElement(Namespace = "http://www.w3.org/2000/09/xmldsig#")]
        public Signature Signature { get; set; }
       
        public NFe()
        {
            infNFe infNFe = new infNFe();
            this.infNFe = infNFe;
        }
    }
}
