using System.Xml.Serialization;

namespace NFeLib.NFE.BaseNF.Servicos.Autorizacao
{
    [XmlRoot(Namespace = "http://www.portalfiscal.inf.br/nfe", ElementName = "consReciNFe", DataType = "string")]
    public class consReciNFe
    {
        /// <summary>
        ///     BP02 - Verso do leiaute
        /// </summary>
        [XmlAttribute]
        public string versao { get; set; }

        /// <summary>
        ///     BP03 - Identificao do Ambiente: 1  Produo / 2  Homologao
        /// </summary>
        public string tpAmb { get; set; }

        /// <summary>
        ///     BP04 - Nmero do Recibo Nmero gerado pelo Portal da Secretaria de Fazenda Estadual (vide item 5.5).
        /// </summary>
        public string nRec { get; set; }
       
        public consReciNFe()
        {
        }
    }
}
