using System.Xml.Serialization;

namespace NFeLib.NFE.BaseNF.Servicos.ConsSitNFe
{
    [XmlRoot(Namespace = "http://www.portalfiscal.inf.br/nfe", ElementName = "consSitNFe", DataType = "string")]
    public class consSitNFe
    {
        public consSitNFe()
        {
            xServ = "CONSULTAR";
        }

        /// <summary>
        ///     EP02 - Verso do leiaute
        /// </summary>
        [XmlAttribute]
        public string versao { get; set; }

        /// <summary>
        ///     EP03 - Identificao do Ambiente: 1  Produo / 2 - Homologao
        /// </summary>
        public string tpAmb { get; set; }

        /// <summary>
        ///     Servio solicitado "CONSULTAR"
        /// </summary>
        public string xServ { get; set; }

        /// <summary>
        ///     EP05 - Chave de Acesso da NF-e.
        /// </summary>
        public string chNFe { get; set; }
    }
}
