﻿using System.Xml.Serialization;

namespace NFeLib.NFE.BaseNF.Servicos.DistribuicaoDFe 
{
    [XmlType(Namespace = "http://www.portalfiscal.inf.br/nfe")]
    public class docZip
    {
        /// <summary>
        /// NSU do documento fiscal
        /// </summary>
        [XmlAttribute(DataType = "token")]
        public string NSU { get; set; }

        /// <summary>
        /// dentificação do Schema XML que será utilizado para validar o 
        /// XML existente no campo seguinte.
        /// Vai identificar o tipo do documento e sua versão.
        /// Exemplos:
        /// - resNFe_v1.00.xsd
        /// - procNFe_v3.10.xsd
        /// - resEvento_1.00.xsd
        /// - procEventoNFe_v1.00.xsd
        /// </summary>
        [XmlAttribute]
        public string schema { get; set; }

        [XmlText(DataType = "base64Binary")]
        public byte[] Value { get; set; }

    }
}
