using System.Xml.Serialization;
using NFeLib.NFE.BaseNF.AssinaturaDig;

namespace NFeLib.NFE.BaseNF.Servicos.Inutilizacao
{
	[XmlRoot(Namespace = "http://www.portalfiscal.inf.br/nfe", ElementName = "inutNFe", DataType = "string")]
	public class inutNFe
	{
        /// <summary>
        ///     DP02 - Verso do leiaute
        /// </summary>
        [XmlAttribute]
        public string versao { get; set; }

        /// <summary>
        ///     DP03 - Dados do Pedido
        ///     TAG a ser assinada
        /// </summary>
        public infInutEnv infInut { get; set; }

        /// <summary>
        ///     DP15 - Assinatura XML do grupo identificado pelo atributo Id
        /// </summary>
        [XmlElement(Namespace = "http://www.w3.org/2000/09/xmldsig#")]
        public Signature Signature { get; set; }

        public inutNFe() 
        {
            this.infInut = new infInutEnv();
        }
	}
}
