using System.Xml.Serialization;
using NFeLib.NFE.BaseNF.AssinaturaDig;

namespace NFeLib.NFE.BaseNF.Servicos.RecepcaoEvento
{
    [XmlRoot(Namespace = "http://www.portalfiscal.inf.br/nfe", ElementName = "evento", DataType = "string")]
    public class evento
    {
        /// <summary>
        ///     HP05 - Verso do leiaute do evento
        /// </summary>
        [XmlAttribute]
        public string versao { get; set; }

        /// <summary>
        ///     HP06 - Grupo de informaes do registro do Evento
        /// </summary>
        public infEventoEnv infEvento { get; set; }

        /// <summary>
        ///     HP22 - Assinatura Digital do documento XML, a assinatura dever ser aplicada no elemento infEvento
        /// </summary>
        [XmlElement(Namespace = "http://www.w3.org/2000/09/xmldsig#")]
        public Signature Signature { get; set; }
    }
}
