using System.Xml.Serialization;

namespace NFeLib.NFE.BaseNF.Servicos.Status
{
	[XmlRoot(Namespace = "http://www.portalfiscal.inf.br/nfe", ElementName = "retConsStatServ", DataType = "string")]
	public class retConsStatServ
	{
        /// <summary>
        ///     FR02 - Verso do leiaute
        /// </summary>
        [XmlAttribute]
        public string versao { get; set; }

        /// <summary>
        ///     FR03 - Identificao do Ambiente: 1  Produo / 2 - Homologao
        /// </summary>
        public string tpAmb { get; set; }

        /// <summary>
        ///     FR04 - Verso do Aplicativo que processou a consulta. A verso deve ser iniciada com a sigla da UF nos casos de WS
        ///     prprio ou a sigla SCAN, SVAN ou SVRS nos demais casos.
        /// </summary>
        public string verAplic { get; set; }

        /// <summary>
        ///     FR05 - Cdigo do status da resposta.
        /// </summary>
        public int cStat { get; set; }

        /// <summary>
        ///     FR06 - Descrio literal do status da resposta.
        /// </summary>
        public string xMotivo { get; set; }

        /// <summary>
        ///     FR07 - Cdigo da UF que atendeu a solicitao
        /// </summary>
        public string cUF { get; set; }
	}
}
