using System.Xml.Serialization;
using NFeLib.NFE.BaseNF.Protocolo;

namespace NFeLib.NFE.BaseNF
{
	[XmlRoot(Namespace = "http://www.portalfiscal.inf.br/nfe", ElementName = "nfeProc", DataType = "string")]
	public class nfeProc 
	{
        /// <summary>
        ///     XR02
        /// </summary>
        [XmlAttribute]
        public string versao { get; set; }

        /// <summary>
        ///     XR03 - Dados da NF-e, inclusive com os dados da assinatura (Anexo I)
        /// </summary>
        [XmlElement(Namespace = "http://www.portalfiscal.inf.br/nfe")]
        public NFe NFe { get; set; }

        /// <summary>
        ///     XR05 - Dados do Protocolo de Autorizao de Uso (item 4.2.2)
        /// </summary>
        public protNFe protNFe { get; set; }

        public nfeProc()
        {
        }
	}
}
