﻿using System.Xml;
using NFeLib.NFE.BaseNF.Servicos.Autorizacao;
using NFeLib.NFE.BaseNF.Servicos.ConsSitNFe;
using NFeLib.NFE.BaseNF.Servicos.ConsultaCadastro;
using NFeLib.NFE.BaseNF.Servicos.DistribuicaoDFe;
using NFeLib.NFE.BaseNF.Servicos.DownloadNFe;
using NFeLib.NFE.BaseNF.Servicos.Inutilizacao;
using NFeLib.NFE.BaseNF.Servicos.RecepcaoEvento;
using NFeLib.NFE.BaseNF.Servicos.Status;

namespace NFeLib.NFE.WebServices
{
    public interface IWebService
    {
        retEnviNFe NFeAutorizacao(XmlDocument xmlDoc);
        retConsReciNFe NFeRetAutorizacao(XmlDocument xmlDoc);
        retConsSitNFe NFeConsultaProtocolo(XmlDocument xmlDoc);
        retEnvEvento RecepcaoEvento(XmlDocument xmlDoc);
        retConsStatServ NFeStatusServico(XmlDocument xmlDoc);
        retConsCad NFeConsultaCadastro(XmlDocument xmlDoc);
        retInutNFe NFeInutilizacao(XmlDocument xmlDoc);
        retDownloadNFe NFeDownloadNF(XmlDocument xmlDoc);
        retDistDFeInt NFeDistribuicaoDFe(XmlDocument xmlDoc);
        XmlDocument XmlRetornoSefaz { get; set; }
        string GetErros { get; }
        int Timeout { set; }
    }
}
