using System.Xml.Serialization;

namespace NFeLib.NFE.BaseNF.AssinaturaDig
{

    [XmlRoot(Namespace = "http://www.w3.org/2000/09/xmldsig#", ElementName = "Signature", DataType = "string")]
    public class Signature
    {
        /// <summary>
        ///     XS02 - Grupo da Informao da assinatura
        /// </summary>
        public SignedInfo SignedInfo { get; set; }

        /// <summary>
        ///     XS18 - Grupo do Signature Value
        /// </summary>
        public string SignatureValue { get; set; }

        /// <summary>
        ///     XS19 - Grupo do KeyInfo
        /// </summary>
        public KeyInfo KeyInfo { get; set; }
    }
}
