
namespace NFeLib.NFE.BaseNF.Informacoes.Destinatario
{
	public class enderDest
	{
		/// <summary>
		/// Logradouro
		/// </summary>
		public string xLgr { get; set; }

		/// <summary>
		/// Número
		/// </summary>
		public string nro { get; set; }

		/// <summary>
		/// Complemento
		/// </summary>
		public string xCpl { get; set; }
        private bool ShouldSerializexCpl()
        {
            return !(xCpl == null);
        }

		/// <summary>
		/// Bairro
		/// </summary>
		public string xBairro { get; set; }

		/// <summary>
		/// Código do municipio, Utilizar a Tabela do IBGE (Anexo IV - Tabela de UF, Município e País).
		/// Informar ‘9999999 ‘para operações com o exterior.
		/// </summary>
		public string cMun { get; set; }

		/// <summary>
		/// Informar ‘EXTERIOR ‘para operações com o exterior.
		/// </summary>
		public string xMun { get; set; }

		/// <summary>
		/// Informar ‘EX ‘para operações com o exterior.
		/// </summary>
		public string UF { get; set; }

		/// <summary>
		/// Informar os zeros não significativos.
		/// </summary>
		public string CEP { get; set; }

		/// <summary>
		/// 1058 - Brasil
		/// </summary>
		public string cPais { get; set; }

		/// <summary>
		/// Brasil ou BRASIL
		/// </summary>
		public string xPais { get; set; }

		/// <summary>
		/// Preencher com Código DDD + número do telefone.
		/// </summary>
		public string fone { get; set; }
        private bool ShouldSerializefone()
        {
            return !(fone == null || fone == string.Empty || fone.Length < 8);
        }

        public enderDest() 
        {
            fone = string.Empty;
        }
	}
}
