namespace NFeLib.NFE.BaseNF.Informacoes.TranspVolumes
{
	/// <summary>
	/// TAG de grupo transportador
	/// </summary>
	public class transporta
	{
		/// <summary>
		/// CNPJ
		/// Informar o CNPJ do Transportador, preenchendo os zeros não significativos.
		/// </summary>
		public string CNPJ { get; set; }
        public bool ShouldSerializeCNPJ()
        {
            return !(CNPJ == null);
        }

		/// <summary>
		/// CNPJ
		/// Informar o CPF do Transportador, preenchendo os zeros não significativos.
		/// </summary>
		public string CPF { get; set; }
        public bool ShouldSerializeCPF()
        {
            return !(CPF == null);
        }

		/// <summary>
		/// Razão social ou nome
		/// </summary>
		public string xNome { get; set; }
        public bool ShouldSerializexNome()
        {
            return !(xNome == null);
        }

		/// <summary>
		/// Inscrição estadual
		/// </summary>
		public string IE { get; set; }
        public bool ShouldSerializeIE()
        {
            return !(IE == null || IE == string.Empty);
        }

		/// <summary>
		/// Endereço completo
		/// </summary>
		public string xEnder { get; set; }
        public bool ShouldSerializexEnder()
        {
            return !(xEnder == null);
        }

		/// <summary>
		/// Nome do municipio
		/// </summary>
		public string xMun { get; set; }
        public bool ShouldSerializexMun()
        {
            return !(xMun == null);
        }

		/// <summary>
		/// Sigla da UF
		/// </summary>
		public string UF { get; set; }
        public bool ShouldSerializeUF()
        {
            return !(UF == null);
        }
	}
}
