namespace NFeLib.NFE.BaseNF.Informacoes.TranspVolumes
{
	/// <summary>
	/// TAG de grupo do detalhamento de Veículos novos
	///
	/// Informar apenas quando se tratar de veículos novos
	/// </summary>
	public class veicProd
	{
		/// <summary>
		/// 1 – Venda concessionária,
		/// 2 – Faturamento direto
		/// 3 – Venda direta
		/// 0 – Outros
		/// </summary>
		public string tpOp  { get; set; }
      
		/// <summary>
		/// Chassi do veículo
		/// </summary>
		public string chassi  { get; set; }
       
		/// <summary>
		/// Código de cada montadora
		/// </summary>
		public string cCor  { get; set; }
     
		/// <summary>
		/// Descrição da Cor
		/// </summary>
		public string xCor  { get; set; }
       
		/// <summary>
		/// Potência Motor
		/// </summary>
		public string pot  { get; set; }
     
		/// <summary>
		/// CM3 (Potência)
		/// </summary>
		public string CM3  { get; set; }
      
		/// <summary>
		/// Peso Líquido
		/// </summary>
		public string pesoL  { get; set; }
      
		/// <summary>
		/// Peso bruto
		/// </summary>
		public string pesoB  { get; set; }
       
		/// <summary>
		/// Serial (série)
		/// </summary>
		public string nSerie  { get; set; }
       
		/// <summary>
		/// Tipo de combustível
		/// </summary>
		public string tpComb  { get; set; }
       
		/// <summary>
		/// Numero do motor
		/// </summary>
		public string nMotor  { get; set; }
       
		public string CMKG  { get; set; }
    
		/// <summary>
		/// Distância entre eixos
		/// </summary>
		public string dist  { get; set; }
   
		/// <summary>
		/// RENAVAM
		/// </summary>
		public string RENAVAM  { get; set; }
      
		/// <summary>
		/// Ano Modelo de Fabricação
		/// </summary>
		public string anoMod  { get; set; }
    
		/// <summary>
		/// Ano de fabricação
		/// </summary>
		public string anoFab { get; set; }
      
		/// <summary>
		/// Tipo de pintura
		/// </summary>
		public string tpPint  { get; set; }
  
		/// <summary>
		/// Tipo de veiculo
		/// </summary>
		public string tpVeic { get; set; }
    
		/// <summary>
		/// Espécie do veiculo
		/// </summary>
		public string espVeic  { get; set; }
    
		/// <summary>
		/// Condição do VIN
		/// </summary>
		public string VIN  { get; set; }
 
		/// <summary>
		/// Condição do veiculo
		/// </summary>
		public string condVeic { get; set; }
   
		/// <summary>
		/// Código Marca Modelo
		/// </summary>
		public string cMod  { get; set; }
  
	}
}
