namespace NFeLib.NFE.BaseNF.Informacoes
{
	/// <summary>
	/// Informações do fisco emitente, grupo de uso exclusivo do fisco.
	/// </summary>
	public class avulsa
	{
		public avulsa()
		{
		}

		/// <summary>
		/// CNPJ do órgão emitente
		/// </summary>
		public string CNPJ  { get; set; }
   
		/// <summary>
		/// Órgão emitente
		/// </summary>
		public string xOrgao  { get; set; }
       
		/// <summary>
		/// Matrícula do agente
		/// </summary>
		public string matr  { get; set; }
       
		/// <summary>
		/// Nome do agente
		/// </summary>
		public string xAgente  { get; set; }
       
		/// <summary>
		/// Preencher com Código DDD + número do telefone
		/// </summary>
		public string fone  { get; set; }
       
		/// <summary>
		/// Sigla da UF
		/// </summary>
		public string UF  { get; set; }
       
		/// <summary>
		/// Número do Documento de Arrecadação de Receita
		/// </summary>
		public string nDAR  { get; set; }
       
		/// <summary>
		/// Data de emissão do Documento de Arrecadação
		/// </summary>
		public string dEmi  { get; set; }
      
		/// <summary>
		/// Valor Total constante no Documento de arrecadação de Receita
		/// </summary>

		public string vDAR  { get; set; }
       
		/// <summary>
		/// Repartição Fiscal emitente
		/// </summary>
		public string repEmi  { get; set; }
      
		/// <summary>
		/// Data de pagamento do Documento de Arrecadação
		/// </summary>
		public string dPag  { get; set; }
       
	}
}
