using System.Collections.Generic;
using System.Xml.Serialization;
using NFeLib.NFE.BaseNF.Informacoes.Destinatario;
using NFeLib.NFE.BaseNF.Informacoes.Detalhes;
using NFeLib.NFE.BaseNF.Informacoes.Emitente;
using NFeLib.NFE.BaseNF.Informacoes.Identificacao;
using NFeLib.NFE.BaseNF.Informacoes.Observacoes;
using NFeLib.NFE.BaseNF.Informacoes.PagCobranca;
using NFeLib.NFE.BaseNF.Informacoes.Totais;
using NFeLib.NFE.BaseNF.Informacoes.TranspVolumes;

namespace NFeLib.NFE.BaseNF.Informacoes
{
    public class infNFe
    {
        [XmlAttribute]
        public string Id            { get; set; }
      
        [XmlAttribute]
        public string versao        { get; set; }
       
        public ide ide              { get; set; }
       
        public emit emit            { get; set; }
        
        public avulsa avulsa        { get; set; }
      
        public dest dest            { get; set; }
        
        public retirada retirada    { get; set; }
       
        public entrega entrega      { get; set; }
       
        [XmlElement("")]
        public List<det> det        { get; set; }
       
        public total total          { get; set; }
       
        public transp transp        { get; set; }
        
        public cobr cobr            { get; set; }

        [XmlElement("")]
        public pag pag { get; set; }
        public bool ShouldSerializepag()
        {
            return !(pag == null);
        }
        
        public infAdic infAdic      { get; set; }
        
        public infNFe()
        {
            ide ide = new ide();
            this.ide = ide;
            emit emit = new emit();
            this.emit = emit;
            dest dest = new dest();
            this.dest = dest;
            List<det> det = new List<det>();
            this.det = det;
        }
    }
}
