﻿using System.Xml.Serialization;

namespace NFeLib.NFE.BaseNF.Servicos.DownloadNFe
{
    [XmlRoot(Namespace = "http://www.portalfiscal.inf.br/nfe", ElementName = "downloadNFe", DataType = "string")]
    public class downloadNFe
    {
        public downloadNFe() 
        {
            this.xServ = "DOWNLOAD NFE";
        }

        /// <summary>
        /// JP02 - Versão do leiaute 
        /// </summary>
        [XmlAttribute]
        public string versao { get; set; }

        /// <summary>
        /// JP03 - Identificação do Ambiente: 1=Produção /2=Homologação 
        /// </summary>
        public string tpAmb { get; set; }

        /// <summary>
        /// JP04 - Serviço Solicitado ‘DOWNLOAD NFE’ 
        /// </summary>
        public string xServ { get; set; }

        /// <summary>
        /// JP05 - CNPJ do destinatário da NF-e 
        /// </summary>
        public string CNPJ { get; set; }

        /// <summary>
        /// JP06 - Chave de Acesso da NF-e 
        /// </summary>
        public string chNFe { get; set; }

    }
}
