using System.Xml.Serialization;

namespace NFeLib.NFE.BaseNF.Servicos.Status
{
    [XmlRoot(Namespace = "http://www.portalfiscal.inf.br/nfe", ElementName = "consStatServ", DataType = "string")]
    public class consStatServ
    {

        public consStatServ()
        {
            xServ = "STATUS";
        }

        /// <summary>
        ///     FP02 - Verso do leiaute
        /// </summary>
        [XmlAttribute]
        public string versao { get; set; }

        /// <summary>
        ///     FP03 - Identificao do Ambiente: 1  Produo / 2 - Homologao
        /// </summary>
        public string tpAmb { get; set; }

        /// <summary>
        ///     FP04 - Cdigo da UF consultada
        /// </summary>
        public string cUF { get; set; }

        /// <summary>
        ///     Servio solicitado 'STATUS'
        /// </summary>
        public string xServ { get; set; }
    }
}
