﻿using System;
using System.Collections.Generic;
using NFeLib.NFE.Utils;

namespace NFeLib.NFE.WebServices
{
    public class ConfigWsUrls
    {
        public string CodigoUf      { get; set; }

        public string Uf            { get; set; }

        public int TimeoutWS        { get; set; }

        public string Servico       { get; set; }

        public string Versao        { get; set; }

        public string Url           { get; set; }

        public string SefazAut      { get; set; }

        public string ModeloDoc     { get; set; }

        public string TipoAmbiente  { get; set; }

        public  static ConfigWsUrls ConfigServico(string tipoEmissao, string uf, string tpAmb, string modNF, TipoServico servico) 
        {
            UrlsServWeb urlsServWeb = new UrlsServWeb(tpAmb, modNF);
            ConfigWsUrls configServWeb = urlsServWeb.UrlServico(uf, tipoEmissao, servico.ToString());
            configServWeb.TimeoutWS = 60000;
            configServWeb.Uf = uf;
            configServWeb.CodigoUf = ((int)(Estado)Enum.Parse(typeof(Estado), uf)).ToString();

            return configServWeb;
        }
   
    }



}
